/// An enum representing a phone state after a call is detected on the
/// current device
enum CallerEvent {
  /// Represents the end of a previous answered call
  callEnded,

  /// A call that was refused on not answered by the user
  onMissedCall,

  /// Triggered when the user accepts the incoming call
  onIncomingCallAnswered,

  /// Triggered when the phone is ringing with an incoming call
  onIncomingCallReceived,
}
